Update individual fields of a marketplace demo tag

View as Markdown

Update specific fields of the marketplace demo tag.

Required scope: air:sre (roles: air_sre)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this marketplace demo tag.

Request

This endpoint expects an object.
namestringOptionalformat: "^[a-zA-Z0-9][a-zA-Z0-9 _-]*[a-zA-Z0-9]$"2-32 characters

The tag name. 2-32 characters; letters, numbers, spaces, hyphens (-), and underscores (_) only; must start and end with a letter or number. Stored lowercased.

Response

idstringRead-onlyformat: "uuid"
namestringformat: "^[a-zA-Z0-9][a-zA-Z0-9 _-]*[a-zA-Z0-9]$"2-32 characters

The tag name. 2-32 characters; letters, numbers, spaces, hyphens (-), and underscores (_) only; must start and end with a letter or number. Stored lowercased.

is_publicbooleanRead-only
Whether the tag is in the public marketplace catalog.
createddatetimeRead-only
modifieddatetimeRead-only

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error